#property indicator_chart_window

extern int    XPos     = 10;
extern int    YPos     = 10;
extern int    Corner   = 2;
extern color  Color    = LimeGreen;
extern int    FontSize = 10;
extern string UniqueID = "timeSymbolLabel";

//
//
//
//
//

int init()
{
   return(0);
}
int deinit() { ObjectDelete(UniqueID); return(0); }
int start()
{
   ObjectCreate(UniqueID,OBJ_LABEL,0,0,0);
      ObjectSet(UniqueID,OBJPROP_XDISTANCE,XPos);
      ObjectSet(UniqueID,OBJPROP_YDISTANCE,YPos);
      ObjectSet(UniqueID,OBJPROP_CORNER,Corner);
      ObjectSetText(UniqueID,timeFrameToString(Period())+" - "+Symbol(),FontSize,"Arial",Color);
   return(0);
}

//-------------------------------------------------------------------
//
//-------------------------------------------------------------------
//
//
//
//
//

string sTfTable[] = {"M1","M5","M15","M30","H1","H4","D1","W1","MN"};
int    iTfTable[] = {1,5,15,30,60,240,1440,10080,43200};

string timeFrameToString(int tf)
{
   for (int i=ArraySize(iTfTable)-1; i>=0; i--) 
         if (tf==iTfTable[i]) return(sTfTable[i]);
                              return("");
}